Package com.avaya.clientservices.media

## Enum TLSVersion

- java.lang.Object
- - java.lang.Enum<TLSVersion>
  - - com.avaya.clientservices.media.TLSVersion

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<TLSVersion>`

      public enum TLSVersion
      extends java.lang.Enum<TLSVersion>

  Corresponds to TLS version

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `TLS_1_0` |
    `TLS_1_1` |
    `TLS_1_2` |
    `TLS_1_3` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TLSVersion` | `fromInt​(int v)` |
    `int` | `intValue()` |
    `static TLSVersion` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static TLSVersion[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TLS_1_0

          public static final TLSVersion TLS_1_0

    - #### TLS_1_1

          public static final TLSVersion TLS_1_1

    - #### TLS_1_2

          public static final TLSVersion TLS_1_2

    - #### TLS_1_3

          public static final TLSVersion TLS_1_3

  - ### Method Detail

    - #### values

          public static TLSVersion[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TLSVersion c : TLSVersion.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TLSVersion valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromInt

          public static TLSVersion fromInt​(int v)

    - #### intValue

          public int intValue()